> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a message template

> Add an email or SMS message template to a form.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/message-templates.yaml POST /forms/{form_id}/message_templates
openapi: 3.0.3
info:
  title: NeetoForm Message Templates APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
paths:
  /forms/{form_id}/message_templates:
    post:
      tags:
        - Message Templates
      summary: Add a message template
      description: Add an email or SMS message template to a form.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/form_id_param'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - message_template
              properties:
                message_template:
                  type: object
                  required:
                    - name
                    - template_type
                    - body
                  properties:
                    name:
                      type: string
                      description: Name of the template.
                      example: Welcome
                    template_type:
                      type: string
                      enum:
                        - email
                        - sms
                      description: >-
                        Type of the template. It cannot be changed after the
                        template is created.
                      example: email
                    body:
                      type: string
                      description: Body of the template.
                      example: <p>Hi</p>
                    subject:
                      type: string
                      description: >-
                        Subject of the email. Required for email templates.
                        Ignored for SMS templates.
                      example: Hello
                    status:
                      type: string
                      enum:
                        - active
                        - inactive
                      description: Status of the template.
                      example: active
      responses:
        '201':
          description: Created - Message template added
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/message_template_response'
        '400':
          $ref: '#/components/responses/response_missing_body'
        '404':
          $ref: '#/components/responses/response_form_not_found'
        '422':
          description: Unprocessable Entity - The template is not valid
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: template_type must be email or sms.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    form_id_param:
      in: path
      name: form_id
      description: >-
        Unique ID of the form. Refer to [Getting the Form
        ID](/api/getting-form-id) for detailed instructions.
      required: true
      schema:
        type: string
  schemas:
    message_template_response:
      type: object
      properties:
        message_template:
          $ref: '#/components/schemas/message_template'
    error_response:
      type: object
      properties:
        error:
          type: string
    message_template:
      type: object
      properties:
        id:
          type: string
          example: 7c1e5a52-7a0e-4f2b-9d57-3d6a1a2f9c11
        name:
          type: string
          example: Welcome
        template_type:
          type: string
          enum:
            - email
            - sms
          example: email
        status:
          type: string
          enum:
            - active
            - inactive
          example: active
        subject:
          type: string
          nullable: true
          description: Subject of an email template. It is null for SMS templates.
          example: Hello
        body:
          type: string
          example: <p>Hi</p>
        updated_at:
          $ref: '#/components/schemas/date_time_field'
    date_time_field:
      type: string
      format: date-time
  responses:
    response_missing_body:
      description: Bad Request - The request body is missing its root key
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
    response_form_not_found:
      description: Not Found - The form does not exist
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error_response'
          example:
            error: Form does not exist.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.